Bug 102381 - redhat-config-network 1.2.15 permissions warning
redhat-config-network 1.2.15 permissions warning
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2003-08-14 13:05 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-17 00:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-14 13:05:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I recently used up2date in gnome on RH9 and updated redhat-config-network to
version 1.2.15 (this may or may not be related to the problem).

Now, whenever I run the rcn tool as non-root user, I get the following warning:


Error copying 
to //etc/sysconfig/networking/profiles//default/hosts:
[Errno 13] Permission denied: '//etc/sysconfig/networking/profiles//default/hosts'!

This does not occur if I'm in Gnome as root user. Note though, if I just click
OK at this warning, it dissappears and the rcn tool and associated network
devices appear to operate fine (its damn annoying though).

I can see its somehow related to permissions and network configuration profiles.
I found a similar bug that came up with the same warning (amongst others),
bugzilla'd at 84752 (perhaps unrelated tho), but that was apparently fixed back
in phoebe.

Any help/ideas would be great. Thanks.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in to Gnome on rh9 as non-root user
2.Open up redhat-network-config 1.2.15

Actual Results:  Got the following warning box:


Error copying 
to //etc/sysconfig/networking/profiles//default/hosts:
[Errno 13] Permission denied: '//etc/sysconfig/networking/profiles//default/hosts'!

It is possible to click OK in the box, and the tool and network devices appear
to operate normally though.

Expected Results:  Before, The warning box never appeared and rcn tool just
opened straight up.

Additional info:

I found a similarish report containing the same warning (amongst others),
bugzilla'd at 84752 (perhaps unrelated tho), but that was apparently fixed back
in phoebe.
Comment 1 Need Real Name 2003-08-17 00:50:05 EDT
I managed to fix this - looks like it had something to do with the network
profiles in Network device Control.

I created a new network profile, which made the warning go away, but then that
new profile refused to delete using the network device configuration applet, so
I deleted the folder containing the new profile instead.

bizarrely seems to have sorted it all out.

Note You need to log in before you can comment on or make changes to this bug.